Bug 1124077 - [Docs][PRD3.5][3.5Beta][Feature] Virtual machine instance types
Summary: [Docs][PRD3.5][3.5Beta][Feature] Virtual machine instance types
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Tahlia Richardson
QA Contact: Julie
URL:
Whiteboard:
Depends On:
Blocks: 1134151
TreeView+ depends on / blocked
 
Reported: 2014-07-28 23:36 UTC by Andrew Dahms
Modified: 2014-09-21 23:36 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1134151 (view as bug list)
Environment:
Last Closed: 2014-09-21 23:36:05 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Andrew Dahms 2014-07-28 23:36:04 UTC
You can now specify 'instance' types when you create virtual machines. An instance is a method of defining common hardware attributes for a set of virtual machines.

This bug will be slightly involved but not technically difficult. It will require adding a new set of topics detailing the 'Instance Types' menu in the 'Configure' menu in the Administration Portal, and adding a description of the 'Instance' drop-down menu that is available in the 'New Virtual Machine' and 'Edit Virtual Machine' windows. This same drop-down menu will also likely appear in template and virtual machine windows, so must be described there as well.

oVirt feature page: http://www.ovirt.org/Features/Instance_Types

PRD Bug: https://bugzilla.redhat.com/show_bug.cgi?id=874328

Comment 1 Tahlia Richardson 2014-08-27 01:44:30 UTC
[7476] Updated New VM Window screenshot (Admin and User)
[10394] Added Instance Type row to the General Settings table (Admin and User)

Cloning for the User guide (work complete). More work still required for the Admin guide.

Comment 2 Tahlia Richardson 2014-08-28 07:38:40 UTC
Created new topics:

Introduction to Instance Types [41588]
Creating Instance Types [41587]
Editing Instance Types [41589]
Removing Instance Types [41591]

Comment 3 Tahlia Richardson 2014-08-29 06:49:12 UTC
Hi Michal,

I've written about Instance Types in the New/Edit VM settings explanantion tables here:
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5-Beta/html-single/Administration_Guide/index.html#Virtual_Machine_General_settings_explained


And in more detail in a new section here: 
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5-Beta/html-single/Administration_Guide/index.html#sect-Instance_Types

Can you please let me know if I've accurately described the feature? It seems like a big deal and I'd hate to miss something. More specifically, I'd like to be sure I've accurately explained what it's used for (the "how" should, in theory, be fine based on my testing). 

Thanks for your help,
Tahlia

Comment 4 Tomas Jelinek 2014-08-29 07:13:03 UTC
Hi Tahlia,

I'd like to comment on the "Editing Instance Types" part. The thing is that as you have described it, it is as it behaves currently, because there was some unimplemented (missing) functionality. Now we have a patch (http://gerrit.ovirt.org/#/c/31300/) which adds this functionality and the correct behavior (once the patch gets merged) will be like this:

When you have a VM attached to an instance type and you edit that instance type, also the VMs attached to it will be automatically updated.

Comment 5 Julie 2014-09-11 01:31:41 UTC
(In reply to Tomas Jelinek from comment #4)
> Hi Tahlia,
> 
> I'd like to comment on the "Editing Instance Types" part. The thing is that
> as you have described it, it is as it behaves currently, because there was
> some unimplemented (missing) functionality. Now we have a patch
> (http://gerrit.ovirt.org/#/c/31300/) which adds this functionality and the
> correct behavior (once the patch gets merged) will be like this:
> 
> When you have a VM attached to an instance type and you edit that instance
> type, also the VMs attached to it will be automatically updated.
Hi Tomas,
     Sorry for the late reply. Tahlia is currently on leave. I have updated the content according to your feedback. Please let me know if you have any further feedback.

Cheers,
Julie

Comment 7 Laura Novich 2014-09-11 20:47:36 UTC
 Selecting an instance type when creating or editing a virtual machine will automatically fill in these details. 

there should be a comma after the word machine (ie machine, will) AND 
the word these is ambiguous.
consider:

Selecting an instance type (as shown in table 2.6), will automatically fill in the details as indicated (in the table) when creating or editing virtual machines.
Moving back to MODIFIED

Comment 8 Tahlia Richardson 2014-09-15 00:41:11 UTC
(In reply to Laura Novich from comment #7)
>  Selecting an instance type when creating or editing a virtual machine will
> automatically fill in these details. 
> 
> there should be a comma after the word machine (ie machine, will) AND 
> the word these is ambiguous.
> consider:
> 
> Selecting an instance type (as shown in table 2.6), will automatically fill
> in the details as indicated (in the table) when creating or editing virtual
> machines.
> Moving back to MODIFIED

Adding a comma there creates a comma splice and interrupts the flow of the sentence. It would be grammatically incorrect. 
I agree, however, that "these" is ambiguous. 
Changed the sentence to say "Selecting an instance type when creating or editing a virtual machine will automatically fill in the hardware configuration fields".

Awaiting rebuild.


Note You need to log in before you can comment on or make changes to this bug.